Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.icons
Class IconMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.flexdock.plaf.icons.IconMap

All Implemented Interfaces:
  Serializable, Cloneable, Map

    public class IconMap

extends HashMap

Author:
  Christopher Butler
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`IconMap()`

Method Summary
`void` | `addAll(IconMap map)`
`void` | `addIcons(String key, IconResource icons)`
`IconResource` | `getIcons(String key)`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map m)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### IconMap

    public IconMap()

Method Detail

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `HashMap`

### putAll

    public void putAll(Map m)

  Specified by:
    `putAll` in interface `Map`
  Overrides:
    `putAll` in class `HashMap`

### addAll

    public void addAll(IconMap map)

### getIcons

    public IconResource getIcons(String key)

### addIcons

    public void addIcons(String key,
                         IconResource icons)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD